## Contributing to LibreAV

We welcome your contributions. Please follow the below guidelines while contributing to this project:

1. Fork the repository and clone locally.
2. Create an upstream remote and sync your local copy before you branch. See detailed instructions [here](https://help.github.com/articles/syncing-a-fork)
3. Create seperate braches for each seperate piece of work.
4. Do the work and commit changes with good commit messages.
5. Test whatever you made in Android versions 4.1.x and above.
6. Once you are confident in your work, create a pull request to the `development` branch of upstream repository with proper descriptions explaining what you did and wait until we review it.

> Check out [GitHub Flow](https://guides.github.com/introduction/flow/) for more details.

## Reporting a Bug ([over here](https://github.com/projectmatris/antimalwareapp/issues/new))

1. Check [existing issues](https://github.com/projectmatris/antimalwareapp/issues) first. Please search through open and closed issues to see if what you’re running into has been addressed already.
2. Please be clear about the problem: state summary, expected outcome, actual outcome and steps to recreate the issue.
3. Please include the necessary device information like Android version, device model, total RAM etc.
4. Paste stacktrace (if possible) in your issue or in a Gist. If pasting them in the issue, wrap it in three backticks: <code>```</code> so that it renders nicely.
5. Submit it and wait until we review it.

## Requesting a Feature/Enhancement ([over here](https://github.com/projectmatris/antimalwareapp/issues/new))

1. Check [existing issues](https://github.com/projectmatris/antimalwareapp/issues) first. Please search through open and closed issues to see if what you’re running into has been addressed already.
2. Give a clear and a consise description about the feature/enhancement that you'd like to see in LibreAV
3. Submit it and wait until we review it.

